Index: branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComDataCU.cpp	(revision 178)
+++ branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComDataCU.cpp	(revision 181)
@@ -163,16 +163,4 @@
   m_apSegmentDCOffset[1] = NULL;
 #endif
-#if OL_DEPTHLIMIT_A0044
-  //add a variable to store the partition information
-  //a 2D array in part_symbol, uidepth format
-  //initialize m_partInfo to OL_END_CU
-  for (Int i=0; i < OL_PART_BUF_SIZE; i++)
-  {
-    for (Int j=0; j < 2; j++)
-    {
-      m_uiPartInfo[i][j] = OL_END_CU;
-    }
-  }
-#endif
 }
 
@@ -507,8 +495,4 @@
 Void TComDataCU::initCU( TComPic* pcPic, UInt iCUAddr )
 {
-#if OL_DEPTHLIMIT_A0044
-  TComDataCU* pcCU     = pcPic->getCU(iCUAddr);
-#endif
-
   m_pcPic              = pcPic;
   m_pcSlice            = pcPic->getSlice(pcPic->getCurrSliceIdx());
@@ -740,7 +724,4 @@
     m_apcCUColocated[1] = getSlice()->getRefPic( REF_PIC_LIST_1, 0)->getCU( m_uiCUAddr );
   }
-#if OL_DEPTHLIMIT_A0044
-  setPartDumpFlag (pcCU->getPartDumpFlag());
-#endif
 }
 
@@ -1096,7 +1077,4 @@
   memcpy(m_uiSliceStartCU,pcCU->m_uiSliceStartCU+uiPartOffset,sizeof(UInt)*m_uiNumPartition);
   memcpy(m_uiEntropySliceStartCU,pcCU->m_uiEntropySliceStartCU+uiPartOffset,sizeof(UInt)*m_uiNumPartition);
-#if OL_DEPTHLIMIT_A0044
-  setPartDumpFlag (pcCU->getPartDumpFlag());
-#endif
 }
 
Index: branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComDataCU.h
===================================================================
--- branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComDataCU.h	(revision 178)
+++ branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComDataCU.h	(revision 181)
@@ -244,12 +244,4 @@
   UInt*         m_uiSliceStartCU;    ///< Start CU address of current slice
   UInt*         m_uiEntropySliceStartCU; ///< Start CU address of current slice
-
-#if OL_DEPTHLIMIT_A0044 
-  //add a variable to store the partition information
-  //a 2D array in uidepth, part_symbol format
-  UInt          m_uiPartInfo[OL_PART_BUF_SIZE][2];
-  UInt          m_uiPartNum;
-  Bool          m_dumpPartInfo;
-#endif 
   
   // -------------------------------------------------------------------------------------------------------------------
@@ -624,13 +616,4 @@
   
   Void          compressMV            ();
-
-#if OL_DEPTHLIMIT_A0044
-  Void        resetPartInfo     () {m_uiPartNum = 0;};
-  Void        incrementPartInfo () {m_uiPartNum ++;};
-  Void        updatePartInfo(UInt uiSymbol, UInt uiDepth) { m_uiPartInfo[m_uiPartNum][0] = uiSymbol; m_uiPartInfo[m_uiPartNum][1] = uiDepth;};
-  UInt*       readPartInfo()                              { return (UInt*)m_uiPartInfo;};
-  Void        setPartDumpFlag(Bool flag)                  { m_dumpPartInfo = flag; };
-  Bool        getPartDumpFlag()                           { return m_dumpPartInfo; };
-#endif
   
   // -------------------------------------------------------------------------------------------------------------------
Index: branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComPic.cpp
===================================================================
--- branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComPic.cpp	(revision 178)
+++ branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComPic.cpp	(revision 181)
@@ -81,4 +81,7 @@
   m_aaiCodedScale     = 0;
   m_aaiCodedOffset    = 0;
+#if OL_QTLIMIT_PREDCODING_B0068
+  m_bReduceBitsQTL    = 0;
+#endif
 }
 
Index: branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComPic.h
===================================================================
--- branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComPic.h	(revision 178)
+++ branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComPic.h	(revision 181)
@@ -113,7 +113,6 @@
   Int**                 m_aaiCodedOffset;
 
-#if OL_DEPTHLIMIT_A0044
-  UInt*                 m_texPartInfo;
-  UInt                  m_uiTexPartIndex;
+#if OL_QTLIMIT_PREDCODING_B0068
+  Bool                  m_bReduceBitsQTL;
 #endif
 
@@ -179,4 +178,10 @@
   Int           getViewOrderIdx()                             { return m_iViewOrderIdx; }
 #endif
+
+#if OL_QTLIMIT_PREDCODING_B0068
+  Bool          getReduceBitsFlag ()             { return m_bReduceBitsQTL;     }
+  Void          setReduceBitsFlag ( Bool bFlag ) { m_bReduceBitsQTL = bFlag;    }
+#endif
+
   Void          setScaleOffset( Int** pS, Int** pO )  { m_aaiCodedScale = pS; m_aaiCodedOffset = pO; }
   Int**         getCodedScale ()                      { return m_aaiCodedScale;  }
@@ -249,12 +254,4 @@
 #endif
 
-#if OL_DEPTHLIMIT_A0044
-  UInt        accessPartInfo        ( UInt count )   { return m_texPartInfo[m_uiTexPartIndex + count]; };
-  Void        incrementTexPartIndex (            )   { m_uiTexPartIndex += 2;    };
-  UInt        getTexPartIndex       ()               { return m_uiTexPartIndex;  };
-  Void        setTexPartIndex       ( UInt idx   )   { m_uiTexPartIndex = idx; };
-  Void        setPartInfo           ( UInt* texPart) { m_texPartInfo    = texPart;  };
-#endif
-
   Bool          getValidSlice                                  (Int sliceID)  {return m_pbValidSlice[sliceID];}
   Int           getSliceGranularityForNDBFilter                ()             {return m_sliceGranularityForNDBFilter;}
Index: branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComSlice.cpp	(revision 178)
+++ branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComSlice.cpp	(revision 181)
@@ -1523,6 +1523,6 @@
 , m_bUseDMM                   (false)
 #endif
-#if OL_DEPTHLIMIT_A0044
-, m_bDepthPartitionLimiting   (false)
+#if OL_QTLIMIT_PREDCODING_B0068
+, m_bUseQTLPC                 (false)
 #endif
 {
Index: branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComSlice.h	(revision 178)
+++ branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TComSlice.h	(revision 181)
@@ -363,6 +363,6 @@
 #endif
 
-#if OL_DEPTHLIMIT_A0044
-  Bool m_bDepthPartitionLimiting;
+#if OL_QTLIMIT_PREDCODING_B0068
+  Bool m_bUseQTLPC;
 #endif
 
@@ -643,7 +643,7 @@
 #endif
 
-#if OL_DEPTHLIMIT_A0044
-  Void setUseDPL(Bool b) {m_bDepthPartitionLimiting = b; }
-  Bool getUseDPL()       {return m_bDepthPartitionLimiting;}
+#if OL_QTLIMIT_PREDCODING_B0068
+  Void setUseQTLPC( Bool b ) { m_bUseQTLPC = b;    }
+  Bool getUseQTLPC()         { return m_bUseQTLPC; }
 #endif
 
Index: branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TypeDef.h	(revision 178)
+++ branches/HTM-4.1-dev2-Orange/source/Lib/TLibCommon/TypeDef.h	(revision 181)
@@ -42,4 +42,6 @@
 //! \{
 
+#define OL_QTLIMIT_PREDCODING_B0068       1    //JCT3V-B0068
+
 #define MTK_UNCONSTRAINED_MVI             1    //JCT3V-B0083
 
@@ -108,12 +110,4 @@
 #define LGE_ILLUCOMP_B0045_ENCSIMP        1
 #endif
-#define LGE_CLEAN_UP                      1
-
-#define OL_DEPTHLIMIT_A0044               1 //JCT2-A0044
-#if OL_DEPTHLIMIT_A0044
-#define OL_DO_NOT_LIMIT_INTRA_SLICES_PART 1 //Turn this on to not perform depth limiting for I-SLICES.
-#define OL_END_CU                         MAX_INT //Default for initializing the partition information buffer
-#define OL_PART_BUF_SIZE                  86 //maximum number of possible partition bits in a CU
-#endif
 
 #define HHI_INTERVIEW_SKIP                1
@@ -134,5 +128,5 @@
 #endif
 
-#define RWTH_SDC_DLT_B0036                1   // JCT3V-B0036: Simplified Depth Coding + Depth Lookup Table
+#define RWTH_SDC_DLT_B0036                0   // JCT3V-B0036: Simplified Depth Coding + Depth Lookup Table
 #if RWTH_SDC_DLT_B0036
 #define Log2( n ) ( log((double)n) / log(2.0) )