Index: branches/HTM-4.1-dev2-RWTH-Fix/CommonTestConditionsCfgs/baseCfg_2view+depth.cfg
===================================================================
--- branches/HTM-4.1-dev2-RWTH-Fix/CommonTestConditionsCfgs/baseCfg_2view+depth.cfg	(revision 182)
+++ branches/HTM-4.1-dev2-RWTH-Fix/CommonTestConditionsCfgs/baseCfg_2view+depth.cfg	(revision 183)
@@ -202,5 +202,6 @@
 VSO                       : 1                                      # use of view synthesis optimization for depth coding
 QTLPC                     : 1                                      # use of quadtree limitation + predictive coding of the quadtree for depth coding
-
+SDC                       : 1                                      # use simplified depth coding tree
+DLT                       : 1                                      # use depth lookup table
 
 #========== view synthesis optimization (VSO) ==========
Index: branches/HTM-4.1-dev2-RWTH-Fix/CommonTestConditionsCfgs/baseCfg_3view+depth.cfg
===================================================================
--- branches/HTM-4.1-dev2-RWTH-Fix/CommonTestConditionsCfgs/baseCfg_3view+depth.cfg	(revision 182)
+++ branches/HTM-4.1-dev2-RWTH-Fix/CommonTestConditionsCfgs/baseCfg_3view+depth.cfg	(revision 183)
@@ -206,5 +206,6 @@
 VSO                       : 1                                      # use of view synthesis optimization for depth coding
 QTLPC                     : 1                                      # use of quadtree limitation + predictive coding of the quadtree for depth coding
-
+SDC                       : 1                                      # use simplified depth coding tree
+DLT                       : 1                                      # use depth lookup table
 
 #========== view synthesis optimization (VSO) ==========
Index: branches/HTM-4.1-dev2-RWTH-Fix/cfg/encoder_mvd.cfg
===================================================================
--- branches/HTM-4.1-dev2-RWTH-Fix/cfg/encoder_mvd.cfg	(revision 182)
+++ branches/HTM-4.1-dev2-RWTH-Fix/cfg/encoder_mvd.cfg	(revision 183)
@@ -205,5 +205,6 @@
 VSO                       : 1                                      # use of view synthesis optimization for depth coding
 QTLPC                     : 1                                      # use of quadtree limitation + predictive coding of the quadtree for depth coding
-
+SDC												:	1																			 # use simplified depth coding tree
+DLT												:	1																			 # use depth lookup table
 
 #========== view synthesis optimization (VSO) ==========
Index: branches/HTM-4.1-dev2-RWTH-Fix/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/HTM-4.1-dev2-RWTH-Fix/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 182)
+++ branches/HTM-4.1-dev2-RWTH-Fix/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 183)
@@ -478,6 +478,6 @@
 #endif
 #if RWTH_SDC_DLT_B0036
-  ("DLT", m_bUseDLT, true, "Enables Depth Lookup Table")
-  ("SDC", m_bUseSDC, true, "Enabled Simplified Depth Coding")
+  ("DLT", m_bUseDLT, true, "use depth lookup table for depth map coding")
+  ("SDC", m_bUseSDC, true, "use simplified depth coding tree")
 #endif
   ;
Index: branches/HTM-4.1-dev2-RWTH-Fix/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/HTM-4.1-dev2-RWTH-Fix/source/App/TAppEncoder/TAppEncTop.cpp	(revision 182)
+++ branches/HTM-4.1-dev2-RWTH-Fix/source/App/TAppEncoder/TAppEncTop.cpp	(revision 183)
@@ -1446,5 +1446,5 @@
   UInt uiMaxDepthValue = g_uiIBDI_MAX;
   
-  Bool abValidDepths[uiMaxDepthValue+1];
+  Bool abValidDepths[256];
   
   depthVideoFile->open( m_pchDepthInputFileList[iViewIdx], false, m_uiInputBitDepth, m_uiInternalBitDepth );  // read  mode
Index: branches/HTM-4.1-dev2-RWTH-Fix/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/HTM-4.1-dev2-RWTH-Fix/source/Lib/TLibCommon/TComSlice.cpp	(revision 182)
+++ branches/HTM-4.1-dev2-RWTH-Fix/source/Lib/TLibCommon/TComSlice.cpp	(revision 183)
@@ -1591,5 +1591,5 @@
   {
     m_uiNumDepthmapValues = uiMaxDepthValue+1;
-    m_uiBitsPerDepthValue = (UInt)ceil(log2f(m_uiNumDepthmapValues));
+    m_uiBitsPerDepthValue = (UInt)ceil(Log2(m_uiNumDepthmapValues));
     
     m_uiDepthValue2Idx    = (UInt*) xMalloc(UInt, m_uiNumDepthmapValues);
Index: branches/HTM-4.1-dev2-RWTH-Fix/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/HTM-4.1-dev2-RWTH-Fix/source/Lib/TLibCommon/TypeDef.h	(revision 182)
+++ branches/HTM-4.1-dev2-RWTH-Fix/source/Lib/TLibCommon/TypeDef.h	(revision 183)
@@ -128,5 +128,5 @@
 #endif
 
-#define RWTH_SDC_DLT_B0036                0   // JCT3V-B0036: Simplified Depth Coding + Depth Lookup Table
+#define RWTH_SDC_DLT_B0036                1   // JCT3V-B0036: Simplified Depth Coding + Depth Lookup Table
 #if RWTH_SDC_DLT_B0036
 #define Log2( n ) ( log((double)n) / log(2.0) )
Index: branches/HTM-4.1-dev2-RWTH-Fix/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- branches/HTM-4.1-dev2-RWTH-Fix/source/Lib/TLibDecoder/TDecCu.cpp	(revision 182)
+++ branches/HTM-4.1-dev2-RWTH-Fix/source/Lib/TLibDecoder/TDecCu.cpp	(revision 183)
@@ -1013,6 +1013,5 @@
   UInt uiMaskStride = 0;
   
-  //if( uiLumaPredMode == DMM_WEDGE_FULL_IDX || uiLumaPredMode == DMM_WEDGE_PREDDIR_IDX )
-  if( 0 )
+  if( uiLumaPredMode == DMM_WEDGE_FULL_IDX || uiLumaPredMode == DMM_WEDGE_PREDDIR_IDX )
   {
     Int uiTabIdx = (uiLumaPredMode == DMM_WEDGE_FULL_IDX)?pcCU->getWedgeFullTabIdx(uiAbsPartIdx):pcCU->getWedgePredDirTabIdx(uiAbsPartIdx);
@@ -1356,8 +1355,8 @@
 Void TDecCu::xAnalyzeSegmentsSDC( Pel* pOrig, UInt uiStride, UInt uiSize, Pel* rpSegMeans, UInt uiNumSegments, Bool* pMask, UInt uiMaskStride )
 {
-  Int iSumDepth[uiNumSegments];
-  memset(iSumDepth, 0, sizeof(Int)*uiNumSegments);
-  Int iSumPix[uiNumSegments];
-  memset(iSumPix, 0, sizeof(Int)*uiNumSegments);
+  Int iSumDepth[2];
+  memset(iSumDepth, 0, sizeof(Int)*2);
+  Int iSumPix[2];
+  memset(iSumPix, 0, sizeof(Int)*2);
   
   for (Int y=0; y<uiSize; y++)
Index: branches/HTM-4.1-dev2-RWTH-Fix/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- branches/HTM-4.1-dev2-RWTH-Fix/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 182)
+++ branches/HTM-4.1-dev2-RWTH-Fix/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 183)
@@ -1646,6 +1646,5 @@
   UInt uiMaskStride = 0;
   
-  //if( uiLumaPredMode == DMM_WEDGE_FULL_IDX || uiLumaPredMode == DMM_WEDGE_PREDDIR_IDX )
-  if( 0 )
+  if( uiLumaPredMode == DMM_WEDGE_FULL_IDX || uiLumaPredMode == DMM_WEDGE_PREDDIR_IDX )
   {
     Int uiTabIdx = (uiLumaPredMode == DMM_WEDGE_FULL_IDX)?pcCU->getWedgeFullTabIdx(uiAbsPartIdx):pcCU->getWedgePredDirTabIdx(uiAbsPartIdx);
@@ -8071,8 +8070,8 @@
 Void TEncSearch::xAnalyzeSegmentsSDC( Pel* pOrig, UInt uiStride, UInt uiSize, Pel* rpSegMeans, UInt uiNumSegments, Bool* pMask, UInt uiMaskStride )
 {
-  Int iSumDepth[uiNumSegments];
-  memset(iSumDepth, 0, sizeof(Int)*uiNumSegments);
-  Int iSumPix[uiNumSegments];
-  memset(iSumPix, 0, sizeof(Int)*uiNumSegments);
+  Int iSumDepth[2];
+  memset(iSumDepth, 0, sizeof(Int)*2);
+  Int iSumPix[2];
+  memset(iSumPix, 0, sizeof(Int)*2);
   
   for (Int y=0; y<uiSize; y++)