Index: branches/SHM-2.0-dev/cfg/per-sequence-svc/BQTerrace-2x.cfg
===================================================================
--- branches/SHM-2.0-dev/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 183)
+++ branches/SHM-2.0-dev/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 184)
@@ -23,3 +23,3 @@
 RefLayerIds1                  : 0           # reference layer id
 QP1: 20
-ScaledRefLayerBottomOffset    : -4          # offset for spatial alignment of the base and enhancement layers
+ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
Index: branches/SHM-2.0-dev/cfg/per-sequence-svc/BasketballDrive-2x.cfg
===================================================================
--- branches/SHM-2.0-dev/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 183)
+++ branches/SHM-2.0-dev/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 184)
@@ -23,3 +23,3 @@
 RefLayerIds1                  : 0           # reference layer id
 QP1: 20
-ScaledRefLayerBottomOffset    : -4          # offset for spatial alignment of the base and enhancement layers
+ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
Index: branches/SHM-2.0-dev/cfg/per-sequence-svc/Cactus-2x.cfg
===================================================================
--- branches/SHM-2.0-dev/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 183)
+++ branches/SHM-2.0-dev/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 184)
@@ -23,3 +23,3 @@
 RefLayerIds1                  : 0           # reference layer id
 QP1: 20
-ScaledRefLayerBottomOffset    : -4          # offset for spatial alignment of the base and enhancement layers
+ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
Index: branches/SHM-2.0-dev/cfg/per-sequence-svc/Kimono-2x.cfg
===================================================================
--- branches/SHM-2.0-dev/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 183)
+++ branches/SHM-2.0-dev/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 184)
@@ -23,3 +23,3 @@
 RefLayerIds1                  : 0           # reference layer id
 QP1: 20
-ScaledRefLayerBottomOffset    : -4          # offset for spatial alignment of the base and enhancement layers
+ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
Index: branches/SHM-2.0-dev/cfg/per-sequence-svc/ParkScene-2x.cfg
===================================================================
--- branches/SHM-2.0-dev/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 183)
+++ branches/SHM-2.0-dev/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 184)
@@ -23,3 +23,3 @@
 RefLayerIds1                  : 0           # reference layer id
 QP1: 20
-ScaledRefLayerBottomOffset    : -4          # offset for spatial alignment of the base and enhancement layers
+ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
Index: branches/SHM-2.0-dev/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/SHM-2.0-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 183)
+++ branches/SHM-2.0-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 184)
@@ -328,4 +328,10 @@
   string* cfg_refLayerIdsPtr   [MAX_LAYERS];
 #endif
+#if SCALED_REF_LAYER_OFFSETS
+  Int*    cfg_scaledRefLayerLeftOffset [MAX_LAYERS];
+  Int*    cfg_scaledRefLayerTopOffset [MAX_LAYERS];
+  Int*    cfg_scaledRefLayerRightOffset [MAX_LAYERS];
+  Int*    cfg_scaledRefLayerBottomOffset [MAX_LAYERS];
+#endif
   for(UInt layer = 0; layer < MAX_LAYERS; layer++)
   {
@@ -341,4 +347,10 @@
     cfg_numDirectRefLayers  [layer] = &m_acLayerCfg[layer].m_numDirectRefLayers;
     cfg_refLayerIdsPtr      [layer]  = &cfg_refLayerIds[layer];
+#endif
+#if SCALED_REF_LAYER_OFFSETS
+    cfg_scaledRefLayerLeftOffset  [layer] = &m_acLayerCfg[layer].m_scaledRefLayerLeftOffset;
+    cfg_scaledRefLayerTopOffset   [layer] = &m_acLayerCfg[layer].m_scaledRefLayerTopOffset;
+    cfg_scaledRefLayerRightOffset [layer] = &m_acLayerCfg[layer].m_scaledRefLayerRightOffset;
+    cfg_scaledRefLayerBottomOffset[layer] = &m_acLayerCfg[layer].m_scaledRefLayerBottomOffset;
 #endif
   }
@@ -401,11 +413,11 @@
   ("InternalBitDepthC",     m_internalBitDepthC, 0, "As per InternalBitDepth but for chroma component. (default:IntrenalBitDepth)")
 #if SCALED_REF_LAYER_OFFSETS
-  ("ScaledRefLayerLeftOffset",   m_scaledRefLayerLeftOffset,  0, "Horizontal offset of top-left luma sample of scaled base layer picture with respect to"
+  ("ScaledRefLayerLeftOffset%d",   cfg_scaledRefLayerLeftOffset,  0, MAX_LAYERS, "Horizontal offset of top-left luma sample of scaled base layer picture with respect to"
                                                                  " top-left luma sample of the EL picture, in units of two luma samples")
-  ("ScaledRefLayerTopOffset",    m_scaledRefLayerTopOffset,   0,   "Vertical offset of top-left luma sample of scaled base layer picture with respect to"
+  ("ScaledRefLayerTopOffset%d",    cfg_scaledRefLayerTopOffset,   0, MAX_LAYERS,   "Vertical offset of top-left luma sample of scaled base layer picture with respect to"
                                                                  " top-left luma sample of the EL picture, in units of two luma samples")
-  ("ScaledRefLayerRightOffset",  m_scaledRefLayerRightOffset, 0, "Horizontal offset of bottom-right luma sample of scaled base layer picture with respect to"
+  ("ScaledRefLayerRightOffset%d",  cfg_scaledRefLayerRightOffset, 0, MAX_LAYERS, "Horizontal offset of bottom-right luma sample of scaled base layer picture with respect to"
                                                                  " bottom-right luma sample of the EL picture, in units of two luma samples")
-  ("ScaledRefLayerBottomOffset", m_scaledRefLayerBottomOffset,0, "Vertical offset of bottom-right luma sample of scaled base layer picture with respect to"
+  ("ScaledRefLayerBottomOffset%d", cfg_scaledRefLayerBottomOffset,0, MAX_LAYERS, "Vertical offset of bottom-right luma sample of scaled base layer picture with respect to"
                                                                  " bottom-right luma sample of the EL picture, in units of two luma samples")
 #endif
Index: branches/SHM-2.0-dev/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- branches/SHM-2.0-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 183)
+++ branches/SHM-2.0-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 184)
@@ -361,10 +361,4 @@
   Int*      m_constantPicRateIdc;                                ///< Indicates constant picture rate idc for various sub-layers
 #endif
-#if SCALED_REF_LAYER_OFFSETS
-  Int       m_scaledRefLayerLeftOffset;
-  Int       m_scaledRefLayerTopOffset;
-  Int       m_scaledRefLayerRightOffset;
-  Int       m_scaledRefLayerBottomOffset;
-#endif  
 public:
   TAppEncCfg();
Index: branches/SHM-2.0-dev/source/App/TAppEncoder/TAppEncLayerCfg.h
===================================================================
--- branches/SHM-2.0-dev/source/App/TAppEncoder/TAppEncLayerCfg.h	(revision 183)
+++ branches/SHM-2.0-dev/source/App/TAppEncoder/TAppEncLayerCfg.h	(revision 184)
@@ -54,4 +54,10 @@
   Int*      m_aidQP;                                          ///< array of slice QP values
   TAppEncCfg* m_cAppEncCfg;                                   ///< pointer to app encoder config
+#if SCALED_REF_LAYER_OFFSETS
+  Int       m_scaledRefLayerLeftOffset;
+  Int       m_scaledRefLayerTopOffset;
+  Int       m_scaledRefLayerRightOffset;
+  Int       m_scaledRefLayerBottomOffset;
+#endif  
 public:
   TAppEncLayerCfg();
Index: branches/SHM-2.0-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/SHM-2.0-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 183)
+++ branches/SHM-2.0-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 184)
@@ -421,6 +421,6 @@
     if( layer > 0 )
     {
-      m_acTEncTop[layer].getScaledRefLayerWindow().setWindow( 2*m_scaledRefLayerLeftOffset, 2*m_scaledRefLayerRightOffset,
-                                                  2*m_scaledRefLayerTopOffset, 2*m_scaledRefLayerBottomOffset);  
+      m_acTEncTop[layer].getScaledRefLayerWindow().setWindow( 2*m_acLayerCfg[layer].m_scaledRefLayerLeftOffset, 2*m_acLayerCfg[layer].m_scaledRefLayerRightOffset,
+                                                  2*m_acLayerCfg[layer].m_scaledRefLayerTopOffset, 2*m_acLayerCfg[layer].m_scaledRefLayerBottomOffset);  
     }
 #endif