Index: trunk/cfg/encoder_intra_main.cfg
===================================================================
--- trunk/cfg/encoder_intra_main.cfg	(revision 189)
+++ trunk/cfg/encoder_intra_main.cfg	(revision 190)
@@ -39,6 +39,7 @@
 LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
 LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
-LoopFilterBetaOffset_div2     : 0           # base_param: -13 ~ 13
-LoopFilterTcOffset_div2       : 0           # base_param: -13 ~ 13
+LoopFilterBetaOffset_div2     : 0           # base_param: -6 ~ 6
+LoopFilterTcOffset_div2       : 0           # base_param: -6 ~ 6
+DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream)
 
 #=========== Misc. ============
@@ -94,4 +95,6 @@
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
 CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+
+SEIpictureDigest               : 1
                                                        
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: trunk/cfg/encoder_intra_main10.cfg
===================================================================
--- trunk/cfg/encoder_intra_main10.cfg	(revision 189)
+++ trunk/cfg/encoder_intra_main10.cfg	(revision 190)
@@ -39,6 +39,7 @@
 LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
 LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
-LoopFilterBetaOffset_div2     : 0           # base_param: -13 ~ 13
-LoopFilterTcOffset_div2       : 0           # base_param: -13 ~ 13
+LoopFilterBetaOffset_div2     : 0           # base_param: -6 ~ 6
+LoopFilterTcOffset_div2       : 0           # base_param: -6 ~ 6
+DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream)
 
 #=========== Misc. ============
Index: trunk/cfg/encoder_lowdelay_P_main.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_P_main.cfg	(revision 189)
+++ trunk/cfg/encoder_lowdelay_P_main.cfg	(revision 190)
@@ -23,5 +23,4 @@
 Frame3:  P    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
 Frame4:  P    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
-ListCombination               : 1           # Use combined list for uni-prediction in B-slices
 
 #=========== Motion Search =============
@@ -45,6 +44,7 @@
 LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
 LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
-LoopFilterBetaOffset_div2     : 0           # base_param: -13 ~ 13
-LoopFilterTcOffset_div2       : 0           # base_param: -13 ~ 13
+LoopFilterBetaOffset_div2     : 0           # base_param: -6 ~ 6
+LoopFilterTcOffset_div2       : 0           # base_param: -6 ~ 6
+DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream)
 
 #=========== Misc. ============
@@ -110,4 +110,6 @@
 RCForceIntraQP                      : 0                # Rate control: force intra QP to be equal to initial QP
 
+SEIpictureDigest                    : 1
+
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
 ### DO NOT DELETE THE EMPTY LINE BELOW ###
Index: trunk/cfg/encoder_lowdelay_P_main10.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_P_main10.cfg	(revision 189)
+++ trunk/cfg/encoder_lowdelay_P_main10.cfg	(revision 190)
@@ -23,5 +23,4 @@
 Frame3:  P    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
 Frame4:  P    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
-ListCombination               : 1           # Use combined list for uni-prediction in B-slices
 
 #=========== Motion Search =============
@@ -47,6 +46,7 @@
 LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
 LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
-LoopFilterBetaOffset_div2     : 0           # base_param: -13 ~ 13
-LoopFilterTcOffset_div2       : 0           # base_param: -13 ~ 13
+LoopFilterBetaOffset_div2     : 0           # base_param: -6 ~ 6
+LoopFilterTcOffset_div2       : 0           # base_param: -6 ~ 6
+DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream)
 
 #=========== Misc. ============
Index: trunk/cfg/encoder_lowdelay_main.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_main.cfg	(revision 189)
+++ trunk/cfg/encoder_lowdelay_main.cfg	(revision 190)
@@ -23,5 +23,4 @@
 Frame3:  B    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
 Frame4:  B    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
-ListCombination               : 1           # Use combined list for uni-prediction in B-slices
 
 #=========== Motion Search =============
@@ -45,6 +44,7 @@
 LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
 LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
-LoopFilterBetaOffset_div2     : 0           # base_param: -13 ~ 13
-LoopFilterTcOffset_div2       : 0           # base_param: -13 ~ 13
+LoopFilterBetaOffset_div2     : 0           # base_param: -6 ~ 6
+LoopFilterTcOffset_div2       : 0           # base_param: -6 ~ 6
+DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream)
 
 #=========== Misc. ============
@@ -110,4 +110,6 @@
 RCForceIntraQP                      : 0                # Rate control: force intra QP to be equal to initial QP
 
+SEIpictureDigest                    : 1
+
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
 ### DO NOT DELETE THE EMPTY LINE BELOW ###
Index: trunk/cfg/encoder_lowdelay_main10.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_main10.cfg	(revision 189)
+++ trunk/cfg/encoder_lowdelay_main10.cfg	(revision 190)
@@ -23,5 +23,4 @@
 Frame3:  B    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
 Frame4:  B    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
-ListCombination               : 1           # Use combined list for uni-prediction in B-slices
 
 #=========== Motion Search =============
@@ -45,6 +44,7 @@
 LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
 LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
-LoopFilterBetaOffset_div2     : 0           # base_param: -13 ~ 13
-LoopFilterTcOffset_div2       : 0           # base_param: -13 ~ 13
+LoopFilterBetaOffset_div2     : 0           # base_param: -6 ~ 6
+LoopFilterTcOffset_div2       : 0           # base_param: -6 ~ 6
+DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream)
 
 #=========== Misc. ============
Index: trunk/cfg/encoder_randomaccess_main.cfg
===================================================================
--- trunk/cfg/encoder_randomaccess_main.cfg	(revision 189)
+++ trunk/cfg/encoder_randomaccess_main.cfg	(revision 190)
@@ -27,5 +27,4 @@
 Frame7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1  
 Frame8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0
-ListCombination               : 1           # Use combined list for uni-prediction in B-slices
 
 #=========== Motion Search =============
@@ -49,7 +48,7 @@
 LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
 LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
-LoopFilterBetaOffset_div2     : 0           # base_param: -13 ~ 13
-LoopFilterTcOffset_div2       : 0           # base_param: -13 ~ 13
-
+LoopFilterBetaOffset_div2     : 0           # base_param: -6 ~ 6
+LoopFilterTcOffset_div2       : 0           # base_param: -6 ~ 6
+DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream)
 
 #=========== Misc. ============
@@ -115,4 +114,6 @@
 RCForceIntraQP                      : 0                # Rate control: force intra QP to be equal to initial QP
 
+SEIpictureDigest                    : 1
+
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
 ### DO NOT DELETE THE EMPTY LINE BELOW ###
Index: trunk/cfg/encoder_randomaccess_main10.cfg
===================================================================
--- trunk/cfg/encoder_randomaccess_main10.cfg	(revision 189)
+++ trunk/cfg/encoder_randomaccess_main10.cfg	(revision 190)
@@ -27,5 +27,4 @@
 Frame7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1  
 Frame8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0
-ListCombination               : 1           # Use combined list for uni-prediction in B-slices
 
 #=========== Motion Search =============
@@ -49,6 +48,7 @@
 LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
 LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
-LoopFilterBetaOffset_div2     : 0           # base_param: -13 ~ 13
-LoopFilterTcOffset_div2       : 0           # base_param: -13 ~ 13
+LoopFilterBetaOffset_div2     : 0           # base_param: -6 ~ 6
+LoopFilterTcOffset_div2       : 0           # base_param: -6 ~ 6
+DeblockingFilterMetric        : 0           # blockiness metric (automatically configures deblocking parameters in bitstream)
 
 #=========== Misc. ============
Index: trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,5 @@
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
Index: trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,6 @@
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
+ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
Index: trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,5 @@
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
Index: trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,5 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
Index: trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,6 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
+ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
Index: trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,5 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
Index: trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,5 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
Index: trunk/cfg/per-sequence-svc/Cactus-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,6 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
+ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
Index: trunk/cfg/per-sequence-svc/Cactus-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,5 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
Index: trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,5 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
Index: trunk/cfg/per-sequence-svc/Kimono-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,6 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
+ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
Index: trunk/cfg/per-sequence-svc/Kimono-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,5 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
Index: trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,5 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
Index: trunk/cfg/per-sequence-svc/ParkScene-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,6 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
+ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
Index: trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,5 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
Index: trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,5 @@
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
Index: trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,5 @@
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
Index: trunk/cfg/per-sequence-svc/Traffic-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 300         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,5 @@
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20
Index: trunk/cfg/per-sequence-svc/Traffic-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 189)
+++ trunk/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 190)
@@ -3,4 +3,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 300         # Number of frames to be coded
+AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -19,3 +20,5 @@
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
+NumDirectRefLayers1           : 1           # number of direct reference layers
+RefLayerIds1                  : 0           # reference layer id
 QP1: 20