Index: branches/HTM-4.0.1-VSP-dev0/CommonTestConditionsCfgs/baseCfg_2view+depth.cfg
===================================================================
--- branches/HTM-4.0.1-VSP-dev0/CommonTestConditionsCfgs/baseCfg_2view+depth.cfg	(revision 142)
+++ branches/HTM-4.0.1-VSP-dev0/CommonTestConditionsCfgs/baseCfg_2view+depth.cfg	(revision 193)
@@ -51,31 +51,31 @@
 DecodingRefreshType       : 1                                      # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                   : 8                                      # GOP Size (number of B slice = GOPSize-1)
-# V0        Type POC QPoffset QPfactor temporal_id #ref_pics_active ref_pic #ref_pics reference pictures predict deltaRIdx-1 deltaRPS #ref_idcs reference idcs  #IV_ref_pics  IV reference pics  IV ref list pos
-Frame1    : B    8   1        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      0
-Frame2    : B    4   2        0.3536   0           2                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       0
-Frame3    : B    2   3        0.3536   0           2                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         0
-Frame4    : B    1   4        0.68     0           2                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       0
-Frame5    : B    3   4        0.68     0           2                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       0
-Frame6    : B    6   3        0.3536   0           2                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       0
-Frame7    : B    5   4        0.68     0           2                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       0
-Frame8    : B    7   4        0.68     0           2                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       0
-FrameI_v1 : P    0   3        0.442    0           1                1       0                            0                                                      1             -1                 1                  0
-Frame1_v1 : B    8   4        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      1             -1                 2                  0 
-Frame2_v1 : B    4   5        0.3536   0           3                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       1             -1                 2                  0 
-Frame3_v1 : B    2   6        0.3536   0           3                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         1             -1                 2                  0  
-Frame4_v1 : B    1   7        0.68     0           3                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       1             -1                 2                  0  
-Frame5_v1 : B    3   7        0.68     0           3                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       1             -1                 3                  0  
-Frame6_v1 : B    6   6        0.3536   0           3                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       1             -1                 3                  0  
-Frame7_v1 : B    5   7        0.68     0           3                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       1             -1                 3                  0  
-Frame8_v1 : B    7   7        0.68     0           3                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       1             -1                 3                  0  
-FrameI_v2 : P    0   3        0.442    0           1                1       0                            0                                                      1             -2                 1                  0  
-Frame1_v2 : B    8   4        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      1             -2                 2                  0  
-Frame2_v2 : B    4   5        0.3536   0           3                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       1             -2                 2                  0  
-Frame3_v2 : B    2   6        0.3536   0           3                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         1             -2                 2                  0  
-Frame4_v2 : B    1   7        0.68     0           3                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       1             -2                 2                  0  
-Frame5_v2 : B    3   7        0.68     0           3                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       1             -2                 3                  0  
-Frame6_v2 : B    6   6        0.3536   0           3                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       1             -2                 3                  0  
-Frame7_v2 : B    5   7        0.68     0           3                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       1             -2                 3                  0  
-Frame8_v2 : B    7   7        0.68     0           3                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       1             -2                 3                  0  
+# V0        Type POC QPoffset QPfactor temporal_id #ref_pics_active ref_pic #ref_pics reference pictures predict deltaRIdx-1 deltaRPS #ref_idcs reference idcs  #IV_ref_pics  IV reference pics  IV ref list pos          #VSP_ref_pics  VSP_ref_pics  VSP_ref_list_pos
+Frame1    : B    8   1        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      0                                                         0
+Frame2    : B    4   2        0.3536   0           2                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       0                                                         0
+Frame3    : B    2   3        0.3536   0           2                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         0                                                         0
+Frame4    : B    1   4        0.68     0           2                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       0                                                         0
+Frame5    : B    3   4        0.68     0           2                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       0                                                         0
+Frame6    : B    6   3        0.3536   0           2                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       0                                                         0
+Frame7    : B    5   4        0.68     0           2                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       0                                                         0
+Frame8    : B    7   4        0.68     0           2                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       0                                                         0
+FrameI_v1 : P    0   3        0.442    0           1                1       0                            0                                                      1             -1                 1                  0     1              -1            2                 0
+Frame1_v1 : B    8   4        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      1             -1                 2                  0     1              -1            3                 0
+Frame2_v1 : B    4   5        0.3536   0           3                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       1             -1                 2                  0     1              -1            3                 0
+Frame3_v1 : B    2   6        0.3536   0           3                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         1             -1                 2                  0     1              -1            3                 0
+Frame4_v1 : B    1   7        0.68     0           3                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       1             -1                 2                  0     1              -1            3                 0
+Frame5_v1 : B    3   7        0.68     0           3                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       1             -1                 3                  0     1              -1            4                 0
+Frame6_v1 : B    6   6        0.3536   0           3                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       1             -1                 3                  0     1              -1            4                 0
+Frame7_v1 : B    5   7        0.68     0           3                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       1             -1                 3                  0     1              -1            4                 0
+Frame8_v1 : B    7   7        0.68     0           3                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       1             -1                 3                  0     1              -1            4                 0
+FrameI_v2 : P    0   3        0.442    0           1                1       0                            0                                                      1             -2                 1                  0     1              -2            2                 0
+Frame1_v2 : B    8   4        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      1             -2                 2                  0     1              -2            3                 0
+Frame2_v2 : B    4   5        0.3536   0           3                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       1             -2                 2                  0     1              -2            3                 0
+Frame3_v2 : B    2   6        0.3536   0           3                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         1             -2                 2                  0     1              -2            3                 0
+Frame4_v2 : B    1   7        0.68     0           3                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       1             -2                 2                  0     1              -2            3                 0
+Frame5_v2 : B    3   7        0.68     0           3                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       1             -2                 3                  0     1              -2            4                 0
+Frame6_v2 : B    6   6        0.3536   0           3                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       1             -2                 3                  0     1              -2            4                 0
+Frame7_v2 : B    5   7        0.68     0           3                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       1             -2                 3                  0     1              -2            4                 0
+Frame8_v2 : B    7   7        0.68     0           3                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       1             -2                 3                  0     1              -2            4                 0
 
 ListCombination           : 1                                      # Use combined list for uni-prediction in B-slices
@@ -203,6 +203,17 @@
 
 
+#========== texture coding tools based on depth ==========
+VSP                       : 1
+VSPDepthDisable           : 0
+
 #========== view synthesis optimization (VSO) ==========
 VSOConfig                 : [cx0 B(cc1) I(s0.25 s0.5 s0.75)][cx1 B(oo0) I(s0.25 s0.5 s0.75)]  # VSO configuration string
+WVSO                      : 0
+VSOWeight                 : 10
+VSDWeight                 : 1
+DWeight                   : 1
+
+#========== Non-normative encoder techniques ==========
+DPL                       : 0
 
 #============ Misc. ================
Index: branches/HTM-4.0.1-VSP-dev0/CommonTestConditionsCfgs/baseCfg_3view+depth.cfg
===================================================================
--- branches/HTM-4.0.1-VSP-dev0/CommonTestConditionsCfgs/baseCfg_3view+depth.cfg	(revision 142)
+++ branches/HTM-4.0.1-VSP-dev0/CommonTestConditionsCfgs/baseCfg_3view+depth.cfg	(revision 193)
@@ -55,31 +55,31 @@
 DecodingRefreshType       : 1                                      # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                   : 8                                      # GOP Size (number of B slice = GOPSize-1)
-# V0        Type POC QPoffset QPfactor temporal_id #ref_pics_active ref_pic #ref_pics reference pictures predict deltaRIdx-1 deltaRPS #ref_idcs reference idcs  #IV_ref_pics  IV reference pics  IV ref list pos
-Frame1    : B    8   1        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      0
-Frame2    : B    4   2        0.3536   0           2                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       0
-Frame3    : B    2   3        0.3536   0           2                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         0
-Frame4    : B    1   4        0.68     0           2                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       0
-Frame5    : B    3   4        0.68     0           2                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       0
-Frame6    : B    6   3        0.3536   0           2                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       0
-Frame7    : B    5   4        0.68     0           2                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       0
-Frame8    : B    7   4        0.68     0           2                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       0
-FrameI_v1 : P    0   3        0.442    0           1                1       0                            0                                                      1             -1                 1                  0
-Frame1_v1 : B    8   4        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      1             -1                 2                  0 
-Frame2_v1 : B    4   5        0.3536   0           3                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       1             -1                 2                  0 
-Frame3_v1 : B    2   6        0.3536   0           3                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         1             -1                 2                  0  
-Frame4_v1 : B    1   7        0.68     0           3                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       1             -1                 2                  0  
-Frame5_v1 : B    3   7        0.68     0           3                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       1             -1                 3                  0  
-Frame6_v1 : B    6   6        0.3536   0           3                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       1             -1                 3                  0  
-Frame7_v1 : B    5   7        0.68     0           3                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       1             -1                 3                  0  
-Frame8_v1 : B    7   7        0.68     0           3                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       1             -1                 3                  0  
-FrameI_v2 : P    0   3        0.442    0           1                1       0                            0                                                      1             -2                 1                  0  
-Frame1_v2 : B    8   4        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      1             -2                 2                  0  
-Frame2_v2 : B    4   5        0.3536   0           3                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       1             -2                 2                  0  
-Frame3_v2 : B    2   6        0.3536   0           3                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         1             -2                 2                  0  
-Frame4_v2 : B    1   7        0.68     0           3                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       1             -2                 2                  0  
-Frame5_v2 : B    3   7        0.68     0           3                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       1             -2                 3                  0  
-Frame6_v2 : B    6   6        0.3536   0           3                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       1             -2                 3                  0  
-Frame7_v2 : B    5   7        0.68     0           3                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       1             -2                 3                  0  
-Frame8_v2 : B    7   7        0.68     0           3                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       1             -2                 3                  0  
+# V0        Type POC QPoffset QPfactor temporal_id #ref_pics_active ref_pic #ref_pics reference pictures predict deltaRIdx-1 deltaRPS #ref_idcs reference idcs  #IV_ref_pics  IV reference pics  IV ref list pos          #VSP_ref_pics  VSP_ref_pics  VSP_ref_list_pos
+Frame1    : B    8   1        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      0                                                         0
+Frame2    : B    4   2        0.3536   0           2                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       0                                                         0
+Frame3    : B    2   3        0.3536   0           2                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         0                                                         0
+Frame4    : B    1   4        0.68     0           2                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       0                                                         0
+Frame5    : B    3   4        0.68     0           2                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       0                                                         0
+Frame6    : B    6   3        0.3536   0           2                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       0                                                         0
+Frame7    : B    5   4        0.68     0           2                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       0                                                         0
+Frame8    : B    7   4        0.68     0           2                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       0                                                         0
+FrameI_v1 : P    0   3        0.442    0           1                1       0                            0                                                      1             -1                 1                  0     1              -1            2                 0
+Frame1_v1 : B    8   4        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      1             -1                 2                  0     1              -1            3                 0
+Frame2_v1 : B    4   5        0.3536   0           3                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       1             -1                 2                  0     1              -1            3                 0
+Frame3_v1 : B    2   6        0.3536   0           3                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         1             -1                 2                  0     1              -1            3                 0
+Frame4_v1 : B    1   7        0.68     0           3                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       1             -1                 2                  0     1              -1            3                 0
+Frame5_v1 : B    3   7        0.68     0           3                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       1             -1                 3                  0     1              -1            4                 0
+Frame6_v1 : B    6   6        0.3536   0           3                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       1             -1                 3                  0     1              -1            4                 0
+Frame7_v1 : B    5   7        0.68     0           3                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       1             -1                 3                  0     1              -1            4                 0
+Frame8_v1 : B    7   7        0.68     0           3                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       1             -1                 3                  0     1              -1            4                 0
+FrameI_v2 : P    0   3        0.442    0           1                1       0                            0                                                      1             -2                 1                  0     1              -2            2                 0
+Frame1_v2 : B    8   4        0.442    0           4                1       4         -8 -10 -12 -16     0                                                      1             -2                 2                  0     1              -2            3                 0
+Frame2_v2 : B    4   5        0.3536   0           3                1       3         -4 -6  4           1       0           4        5         1 1 0 0 1       1             -2                 2                  0     1              -2            3                 0
+Frame3_v2 : B    2   6        0.3536   0           3                1       4         -2 -4  2 6         1       0           2        4         1 1 1 1         1             -2                 2                  0     1              -2            3                 0
+Frame4_v2 : B    1   7        0.68     0           3                0       4         -1  1  3 7         1       0           1        5         1 0 1 1 1       1             -2                 2                  0     1              -2            3                 0
+Frame5_v2 : B    3   7        0.68     0           3                0       4         -1 -3  1 5         1       0          -2        5         1 1 1 1 0       1             -2                 3                  0     1              -2            4                 0
+Frame6_v2 : B    6   6        0.3536   0           3                1       4         -2 -4 -6 2         1       0          -3        5         1 1 1 1 0       1             -2                 3                  0     1              -2            4                 0
+Frame7_v2 : B    5   7        0.68     0           3                0       4         -1 -5  1 3         1       0           1        5         1 0 1 1 1       1             -2                 3                  0     1              -2            4                 0
+Frame8_v2 : B    7   7        0.68     0           3                0       4         -1 -3 -7 1         1       0          -2        5         1 1 1 1 0       1             -2                 3                  0     1              -2            4                 0
 
 ListCombination           : 1                                      # Use combined list for uni-prediction in B-slices
@@ -206,7 +206,18 @@
 VSO                       : 1                                      # use of view synthesis optimization for depth coding
 
+#========== texture coding tools based on depth ==========
+VSP                       : 1
+VSPDepthDisable           : 0
 
 #========== view synthesis optimization (VSO) ==========
 VSOConfig                 : [cx0 B(cc1) I(s0.25 s0.5 s0.75)][cx1 B(oo0) B(oo2) I(s0.25 s0.5 s0.75 s1.25 s1.5 s1.75)][cx2 B(cc1) I(s1.25 s1.5 s1.75)] # VSO configuration string
+WVSO                      : 0
+VSOWeight                 : 10
+VSDWeight                 : 1
+DWeight                   : 1
+
+#========== Non-normative encoder techniques ==========
+DPL                       : 0
+
 #============ Misc. ================
 SEIpictureDigest          : 0                                      # Control generation of picture_digest SEI messages